Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../chunk-BN4qSVkS.cjs");
const require_icons_chains_Base = require("./Base.cjs");
const require_icons_chains_Ethereum = require("./Ethereum.cjs");
const require_icons_chains_Polygon = require("./Polygon.cjs");
const require_icons_chains_Solana = require("./Solana.cjs");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/icons/chains/ChainIcon.tsx
const CHAIN_COMPONENTS = {
	solana: require_icons_chains_Solana.Solana,
	ethereum: require_icons_chains_Ethereum.Ethereum,
	base: require_icons_chains_Base.Base,
	polygon: require_icons_chains_Polygon.Polygon
};
function ChainIcon({ chain, size = 24 }) {
	const Component = CHAIN_COMPONENTS[chain];
	return /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(Component, { size });
}
//#endregion
exports.ChainIcon = ChainIcon;
